'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _firebaseFunctions = require('firebase-functions');

var functions = _interopRequireWildcard(_firebaseFunctions);

var _moltres = require('moltres');

var _moltresUtils = require('moltres-utils');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var setupContext = function setupContext() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var functionsConfig = (0, _moltresUtils.reduceObjIndexed)(function (accum, value, name) {
    return (0, _moltresUtils.assoc)((0, _moltresUtils.toUpper)(name), value, accum);
  }, {}, (0, _moltresUtils.propOr)({}, 'moltres', functions.config()));

  return (0, _moltres.createContext)(Object.assign({}, options.env, process.env, functionsConfig, {
    NAMESPACE: options.namespace
  }));
};

exports.default = setupContext;
//# sourceMappingURL=setupContext.js.map